# Uses of Interface
org.apache.commons.math3.analysis.differentiation.MultivariateDifferentiableVectorFunction

Packages that use MultivariateDifferentiableVectorFunction
Package
Description
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.analysis.differentiation
This package holds the main interfaces and basic building block classes dealing with differentiation.
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.

## Uses of MultivariateDifferentiableVectorFunction in org.apache.commons.math3.analysis

Methods in org.apache.commons.math3.analysis that return MultivariateDifferentiableVectorFunction
Modifier and Type
Method
Description
`static MultivariateDifferentiableVectorFunction`
FunctionUtils.`toMultivariateDifferentiableVectorFunction(DifferentiableMultivariateVectorFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateFunction` interface itself is deprecated
Methods in org.apache.commons.math3.analysis with parameters of type MultivariateDifferentiableVectorFunction
Modifier and Type
Method
Description
`static DifferentiableMultivariateVectorFunction`
FunctionUtils.`toDifferentiableMultivariateVectorFunction(MultivariateDifferentiableVectorFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateVectorFunction` interface itself is deprecated

## Uses of MultivariateDifferentiableVectorFunction in org.apache.commons.math3.analysis.differentiation

Constructors in org.apache.commons.math3.analysis.differentiation with parameters of type MultivariateDifferentiableVectorFunction
Modifier
Constructor
Description
``
`JacobianFunction(MultivariateDifferentiableVectorFunction f)`
Simple constructor.

## Uses of MultivariateDifferentiableVectorFunction in org.apache.commons.math3.optimization.general

Methods in org.apache.commons.math3.optimization.general with parameters of type MultivariateDifferentiableVectorFunction
Modifier and Type
Method
Description
`PointVectorValuePair`
AbstractLeastSquaresOptimizer.`optimize(int maxEval, MultivariateDifferentiableVectorFunction f, double[] target, double[] weights, double[] startPoint)`
Deprecated.
As of 3.1.
`protected PointVectorValuePair`
AbstractLeastSquaresOptimizer.`optimizeInternal(int maxEval, MultivariateDifferentiableVectorFunction f, OptimizationData... optData)`
Deprecated.
As of 3.1.